%global momorel 4
%global srcname %{name}-%{version}rc3

Summary: (a livecoding environment)
Name: fluxus
Version: 0.16
Release: 0.1.%{momorel}m%{?dist}
Group: Applications/Multimedia
License: GPLv2
URL: http://www.pawfal.org/fluxus/
Source0: http://www.pawfal.org/fluxus/files/%{srcname}.tar.gz
NoSource: 0
Patch0: fluxus-0.16rc3-gcc44.patch
Patch1: fluxus-0.16rc3-link.patch
BuildRequires: plt-scheme >= 4.2.4-2m
BuildRequires: alsa-lib-devel
BuildRequires: fftw-devel
BuildRequires: freeglut-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: jack-devel
BuildRequires: libX11-devel
BuildRequires: libjpeg-devel >= 8a
BuildRequires: liblo-devel
BuildRequires: libpng-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: ode-devel
BuildRequires: zlib-devel
Requires: plt-scheme >= 4.2.4-2m

%description
A rapid prototyping, livecoding and playing/learning environment for
3D graphics, sound and games. Extends PLT Scheme with graphical
commands and can be used within it's own livecoding environment or
from within the DrScheme IDE.

%prep
%setup -q -n %{srcname}
%patch0 -p1 -b .gcc44
%patch1 -p1 -b .link

%build
cd docs && ./makehelpmap.scm

%install
rm -rf %{buildroot}
scons install \
      DESTDIR=%{buildroot} \
      Prefix=%{_prefix} \
      PLTPrefix=%{_prefix} \
      PLTLib=%{_libdir}/plt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING LICENCE README
%{_bindir}/fluxa
%{_bindir}/fluxus
%{_prefix}/lib/fluxus-016
%{_datadir}/doc/fluxus-016
%{_datadir}/fluxus-016

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16-0.1.4m)
- full rebuild for mo7 release

* Mon May  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-0.1.3m)
- fix build with gcc-4.4.4

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.16-0.1.2m)
- rebuild against libjpeg-8a

* Thu Feb 25 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.16-0.1.1m)
- initial packaging
